"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var styled_components_1 = require("styled-components");
var InfoBlock_1 = require("./InfoBlock");
var button_1 = require("../button");
var mobx_react_1 = require("mobx-react");
var _a = require('react-feather'), Play = _a.Play, Bookmark = _a.Bookmark;
var SelfBuildingSquare_1 = require("../spinners/SelfBuildingSquare");
var theme_1 = require("../../theme");
var polished_1 = require("polished");
var Content = styled_components_1.default.div(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  flex-grow: 1;\n"], ["\n  flex-grow: 1;\n"])));
var RightContent = styled_components_1.default.div(templateObject_2 || (templateObject_2 = __makeTemplateObject(["\n  align-items: center;\n  display: flex;\n"], ["\n  align-items: center;\n  display: flex;\n"])));
var FileName = styled_components_1.default.div(templateObject_3 || (templateObject_3 = __makeTemplateObject(["\n  font-size: 22px;\n  color: #0a0723;\n  margin-bottom: 4px;\n  display: flex;\n  flex-direction: row;\n  color: ", " !important;\n"], ["\n  font-size: 22px;\n  color: #0a0723;\n  margin-bottom: 4px;\n  display: flex;\n  flex-direction: row;\n  color: ", " !important;\n"])), function (props) { return props.theme.text; });
var FilePath = styled_components_1.default.div(templateObject_4 || (templateObject_4 = __makeTemplateObject(["\n  font-size: 14px;\n  color: ", " !important;\n  margin-bottom: 4px;\n"], ["\n  font-size: 14px;\n  color: ", " !important;\n  margin-bottom: 4px;\n"])), function (props) { return props.theme.text; });
var Container = styled_components_1.default.div(templateObject_5 || (templateObject_5 = __makeTemplateObject(["\n  margin-bottom: 20px;\n  display: flex;\n  flex-direction: row;\n  padding: 14px;\n"], ["\n  margin-bottom: 20px;\n  display: flex;\n  flex-direction: row;\n  padding: 14px;\n"])));
var InfoBar = styled_components_1.default.div(templateObject_6 || (templateObject_6 = __makeTemplateObject(["\n  color: #0a0723;\n  font-weight: 600;\n  margin-top: 5px;\n  font-size: 13px;\n"], ["\n  color: #0a0723;\n  font-weight: 600;\n  margin-top: 5px;\n  font-size: 13px;\n"])));
var BookmarkContainer = styled_components_1.default.div(templateObject_7 || (templateObject_7 = __makeTemplateObject(["\n  display: flex;\n  align-items: center;\n  padding-left: 10px;\n"], ["\n  display: flex;\n  align-items: center;\n  padding-left: 10px;\n"])));
var BookmarkButton = styled_components_1.default(Bookmark)(templateObject_8 || (templateObject_8 = __makeTemplateObject(["\n  cursor: pointer;\n  color: ", "\n  &:hover {\n    color: ", ";\n  }\n"], ["\n  cursor: pointer;\n  color: ",
    "\n  &:hover {\n    color: ", ";\n  }\n"])), function (props) {
    return props.selected ? props.theme.extra.mars : props.theme.extra.secondary;
}, function (props) { return props.theme.extra.mars; });
var RunFileButton = styled_components_1.default(button_1.default)(templateObject_9 || (templateObject_9 = __makeTemplateObject(["\n  border: 1.5px solid ", ";\n  padding: 1px;\n  min-width: 108px;\n"], ["\n  border: 1.5px solid ", ";\n  padding: 1px;\n  min-width: 108px;\n"])), function (props) { return polished_1.lighten(0.5, props.theme.main); });
function Header(_a) {
    var testFile = _a.testFile, onRunFile = _a.onRunFile, workspace = _a.workspace, bookmarks = _a.bookmarks;
    var icon = workspace.isExecuting ? (React.createElement(SelfBuildingSquare_1.default, { color: theme_1.default.text })) : (React.createElement(Play, { size: 16 }));
    return (React.createElement(Container, null,
        React.createElement(Content, null,
            React.createElement(FileName, null,
                testFile.label,
                React.createElement(BookmarkContainer, null,
                    React.createElement(BookmarkButton, { size: 20, selected: bookmarks.has(testFile.path), onClick: function () {
                            workspace.toggleBookmark(testFile.path);
                        } }))),
            React.createElement(FilePath, null, testFile.path),
            React.createElement(InfoBar, null,
                React.createElement(InfoBlock_1.default, { icon: "code", label: testFile.totalTests + " Total", color: theme_1.default.extra.moon }),
                React.createElement(InfoBlock_1.default, { icon: "tick", label: testFile.totalPassedTests + " Passed", color: theme_1.default.extra.mercury }),
                React.createElement(InfoBlock_1.default, { icon: "cross", label: testFile.totalFailedTests + " Failed", color: theme_1.default.primary }),
                React.createElement(InfoBlock_1.default, { icon: "time", label: testFile.executionTime + " ms", color: theme_1.default.extra.mars }))),
        React.createElement(RightContent, null,
            React.createElement(RunFileButton, { label: workspace.isExecuting ? 'Stop' : 'Run File', icon: icon, minimal: true, onClick: function () {
                    onRunFile();
                } }))));
}
exports.default = mobx_react_1.observer(Header);
var templateObject_1, templateObject_2, templateObject_3, templateObject_4, templateObject_5, templateObject_6, templateObject_7, templateObject_8, templateObject_9;
//# sourceMappingURL=Header.js.map